package com.kmall.manager.manager.express.sf;

public enum ResultCodeEnum {
    /**
     * 成功
     */
    SUCCESS("0", "成功"),
    /**
     * 失败
     */
    FAILURE("1", "system.ex.msg.prefix"),
    //快递信息校验
    INFOCHECK("120001", "快递信息校验"),
    //对象转xml异常
    OBJECTTRANSFERXML("120004", "对象转xml异常"),
    //xml转对象异常
    XMLTRANSFEROBJECT("120005", "xml转对象异常"),
    //httpClient post err
    HTTPCLIENTPOSTERR("120006", "请求api地址失败"),
    //快递标识错误
    FLAGERROR("120007", "快递标识错误"),
    //快递响应数据为空
    RESPONSEBODYISEMPTY("120008", "快递响应数据为空"),
    //顺丰Fail to request OrderSearchService
    ORDERSEARCHFAIL("120009", "Fail to request OrderSearchService"),
    //在 sf 中没有对应的 exprType
    SFNOEXPRTYPE("120010", "在 sf 中没有对应的 exprType"),
    //在 sf 中没有对应的 exprType
    YUNDANOEXPRTYPE("120011", "在 yunda 中没有对应的 exprType");


    /**
     * 状态码
     */
    private String code;

    /**
     * 信息
     */
    private String msg;

    private ResultCodeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
